Skip to main content

Update properties of a profile

PATCH 

/nevisidm/api/core/v1/:clientExtId/profiles/:extId/properties

Since: 2.79.0

Required permission(s): AccessControl.ProfileModify

Updates the property values of the profile with the given external ID within the specified client.

Properties provided in the request body are created or updated. Existing properties not included in the request body remain unchanged. The response contains all current property values and their data classifications after the update.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    extId stringrequired

    External ID of the profile.

    Example: profile-123

Body

required
    property name* string

Responses

Profile properties updated successfully

Schema
    _classifications object

    The defined classifications of the property.

    property name* string[]
  • Array [
  • string

  • ]
Loading...